## org.apache.lucene.index
Class CheckIndex.Status.StoredFieldStatus

    java.lang.Object
      org.apache.lucene.index.CheckIndex.Status.StoredFieldStatus

Enclosing class:
  CheckIndex.Status

    public static final class CheckIndex.Status.StoredFieldStatus

extends java.lang.Object

Status from testing stored fields.

Field Summary
`int` `docCount` Number of documents tested.
`java.lang.Throwable` `error` Exception thrown during stored fields test (null on success)
`long` `totFields` Total number of stored fields tested.

Constructor Summary
`CheckIndex.Status.StoredFieldStatus()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### docCount

    public int docCount

  Number of documents tested.

### totFields

    public long totFields

  Total number of stored fields tested.

### error

    public java.lang.Throwable error

  Exception thrown during stored fields test (null on success)

Constructor Detail

### CheckIndex.Status.StoredFieldStatus

    public CheckIndex.Status.StoredFieldStatus()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.